# ILiquidityPool

[Git Source](https://github.com/Ion-Protocol/nucleus-boring-vault/blob/cc0b494b83e17b9b169a73b96050d2810b690477/src/interfaces/IStaking.sol)

## Functions

### deposit

```solidity
function deposit() external payable returns (uint256);
```

### requestWithdraw

```solidity
function requestWithdraw(address recipient, uint256 amount) external returns (uint256);
```

### amountForShare

```solidity
function amountForShare(uint256 shares) external view returns (uint256);
```

### etherFiAdminContract

```solidity
function etherFiAdminContract() external view returns (address);
```

### addEthAmountLockedForWithdrawal

```solidity
function addEthAmountLockedForWithdrawal(uint128 _amount) external;
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.nucleusearn.io/nucleus-architecture/smart-contracts/contracts/interfaces/istaking/iliquiditypool.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
